Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QSlider

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.gui.QWidget
                      com.trolltech.qt.gui.QAbstractSlider
                          com.trolltech.qt.gui.QSlider

All Implemented Interfaces:
  QPaintDeviceInterface, QtJambiInterface

    public class QSlider

extends QAbstractSlider

The `QSlider` widget provides a vertical or horizontal slider.

The slider is the classic widget for controlling a bounded value. It lets the user move a slider handle along a horizontal or vertical groove and translates the handle's position into an integer value within the legal range.

`QSlider` has very few of its own functions; most of the functionality is in `QAbstractSlider`. The most useful functions are `setValue` to set the slider directly to some value; `triggerAction` to simulate the effects of clicking (useful for shortcut keys); `setSingleStep`, `setPageStep` to set the steps; and `setMinimum` and `setMaximum` to define the range of the scroll bar.

`QSlider` provides methods for controlling tickmarks. You can use `setTickPosition` to indicate where you want the tickmarks to be, `setTickInterval` to indicate how many of them you want. the currently set tick position and interval can be queried using the `tickPosition` and `tickInterval` functions, respectively.

`QSlider` inherits a comprehensive set of signals:

Signal | Description
--- | ---
`valueChanged` | Emitted when the slider's value has changed. The tracking() determines whether this signal is emitted during user interaction.
`sliderPressed` | Emitted when the user starts to drag the slider.
`sliderMoved` | Emitted when the user drags the slider.
`sliderReleased` | Emitted when the user releases the slider.

`QSlider` only provides integer ranges. Note that although `QSlider` handles very large numbers, it becomes difficult for users to use a slider accurately for very large ranges.

A slider accepts focus on Tab and provides both a mouse wheel and a keyboard interface. The keyboard interface is the following:

- Left/Right move a horizontal slider by one single step.
- Up/Down move a vertical slider by one single step.
- PageUp moves up one page.
- PageDown moves down one page.
- Home moves to the start (mininum).
- End moves to the end (maximum).

| A slider shown in the Macintosh widget style.
| A slider shown in the Windows XP widget style.
| A slider shown in the Plastique widget style.

See Also:
  `QScrollBar`, `QSpinBox`, `QDial`, GUI Design Handbook: Slider, Sliders Example

Nested Class Summary
`static class` | `QSlider.TickPosition` This enum specifies where the tick marks are to be drawn relative to the slider's groove and the handle the user moves.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QAbstractSlider
`QAbstractSlider.SliderAction, QAbstractSlider.SliderChange`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QWidget
`QWidget.RenderFlag, QWidget.RenderFlags`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Field Summary

Fields inherited from class com.trolltech.qt.gui.QAbstractSlider
`actionTriggered, rangeChanged, sliderMoved, sliderPressed, sliderReleased, valueChanged`

Fields inherited from class com.trolltech.qt.gui.QWidget
`customContextMenuRequested`

Constructor Summary
`QSlider()` Equivalent to `QSlider`(0).
`QSlider(Qt.Orientation orientation)` Equivalent to `QSlider`(`orientation`, 0).
`QSlider(Qt.Orientation orientation, QWidget parent)` Constructs a slider with the given `parent`.
`QSlider(QWidget parent)` Constructs a vertical slider with the given `parent`.

Method Summary
`boolean` | `event(QEvent event)` This function is reimplemented for internal reasons.
`static QSlider` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QSlider instance pointed to by nativePointer
`protected void` | `initStyleOption(QStyleOptionSlider option)` Initialize `option` with the values from this QSlider.
`QSize` | `minimumSizeHint()` This function is reimplemented for internal reasons.
`protected void` | `mouseMoveEvent(QMouseEvent ev)` This function is reimplemented for internal reasons.
`protected void` | `mousePressEvent(QMouseEvent ev)` This function is reimplemented for internal reasons.
`protected void` | `mouseReleaseEvent(QMouseEvent ev)` This function is reimplemented for internal reasons.
`protected void` | `paintEvent(QPaintEvent ev)` This function is reimplemented for internal reasons.
`void` | `setTickInterval(int ti)` Sets the interval between tickmarks to `ti`.
`void` | `setTickPosition(QSlider.TickPosition position)` Sets the tickmark position for this slider to `position`.
`QSize` | `sizeHint()` This function is reimplemented for internal reasons.
`int` | `tickInterval()` Returns the interval between tickmarks.
`QSlider.TickPosition` | `tickPosition()` Returns the tickmark position for this slider.

Methods inherited from class com.trolltech.qt.gui.QAbstractSlider
`changeEvent, hasTracking, invertedAppearance, invertedControls, isSliderDown, keyPressEvent, maximum, minimum, orientation, pageStep, repeatAction, setInvertedAppearance, setInvertedControls, setMaximum, setMinimum, setOrientation, setPageStep, setRange, setRepeatAction, setRepeatAction, setRepeatAction, setSingleStep, setSliderDown, setSliderPosition, setTracking, setValue, singleStep, sliderChange, sliderPosition, timerEvent, triggerAction, value, wheelEvent`

Methods inherited from class com.trolltech.qt.gui.QWidget
`acceptDrops, accessibleDescription, accessibleName, actionEvent, actions, activateWindow, addAction, addActions, adjustSize, autoFillBackground, backgroundRole, baseSize, childAt, childAt, childrenRect, childrenRegion, clearFocus, clearMask, close, closeEvent, contentsRect, contextMenuEvent, contextMenuPolicy, createWinId, cursor, depth, destroy, destroy, destroy, devType, dragEnterEvent, dragLeaveEvent, dragMoveEvent, dropEvent, ensurePolished, enterEvent, focusInEvent, focusNextChild, focusNextPrevChild, focusOutEvent, focusPolicy, focusPreviousChild, focusProxy, focusWidget, font, fontInfo, fontMetrics, foregroundRole, frameGeometry, frameSize, geometry, getContentsMargins, grabKeyboard, grabMouse, grabMouse, grabShortcut, grabShortcut, hasFocus, hasMouseTracking, height, heightForWidth, heightMM, hide, hideEvent, inputContext, inputMethodEvent, inputMethodQuery, insertAction, insertActions, isActiveWindow, isAncestorOf, isEnabled, isEnabledTo, isFullScreen, isHidden, isLeftToRight, isMaximized, isMinimized, isModal, isRightToLeft, isVisible, isVisibleTo, isWindow, isWindowModified, keyboardGrabber, keyReleaseEvent, layout, layoutDirection, leaveEvent, locale, logicalDpiX, logicalDpiY, lower, mapFrom, mapFromGlobal, mapFromParent, mapTo, mapToGlobal, mapToParent, mask, maximumHeight, maximumSize, maximumWidth, metric, minimumHeight, minimumSize, minimumWidth, mouseDoubleClickEvent, mouseGrabber, move, move, moveEvent, nextInFocusChain, normalGeometry, numColors, overrideWindowFlags, overrideWindowFlags, overrideWindowState, overrideWindowState, paintEngine, paintingActive, palette, parentWidget, physicalDpiX, physicalDpiY, pos, raise, rect, releaseKeyboard, releaseMouse, releaseShortcut, removeAction, render, render, render, render, render, repaint, repaint, repaint, repaint, resetInputContext, resize, resize, resizeEvent, restoreGeometry, saveGeometry, scroll, scroll, setAcceptDrops, setAccessibleDescription, setAccessibleName, setAttribute, setAttribute, setAutoFillBackground, setBackgroundRole, setBaseSize, setBaseSize, setContentsMargins, setContentsMargins, setContextMenuPolicy, setCursor, setDisabled, setEnabled, setFixedHeight, setFixedSize, setFixedSize, setFixedWidth, setFocus, setFocus, setFocusPolicy, setFocusProxy, setFont, setForegroundRole, setGeometry, setGeometry, setHidden, setInputContext, setLayout, setLayoutDirection, setLocale, setMask, setMask, setMaximumHeight, setMaximumSize, setMaximumSize, setMaximumWidth, setMinimumHeight, setMinimumSize, setMinimumSize, setMinimumWidth, setMouseTracking, setPalette, setParent, setParent, setParent, setShortcutAutoRepeat, setShortcutAutoRepeat, setShortcutEnabled, setShortcutEnabled, setSizeIncrement, setSizeIncrement, setSizePolicy, setSizePolicy, setStatusTip, setStyle, setStyleSheet, setTabOrder, setToolTip, setUpdatesEnabled, setVisible, setWhatsThis, setWindowFlags, setWindowFlags, setWindowIcon, setWindowIconText, setWindowModality, setWindowModified, setWindowOpacity, setWindowRole, setWindowState, setWindowState, setWindowTitle, show, showEvent, showFullScreen, showMaximized, showMinimized, showNormal, size, sizeIncrement, sizePolicy, stackUnder, statusTip, style, styleSheet, tabletEvent, testAttribute, toolTip, underMouse, unsetCursor, unsetLayoutDirection, unsetLocale, update, update, update, update, updateGeometry, updateMicroFocus, updatesEnabled, visibleRegion, whatsThis, width, widthMM, window, windowFlags, windowIcon, windowIconText, windowModality, windowOpacity, windowRole, windowState, windowTitle, windowType, winId, x, y`

Methods inherited from class com.trolltech.qt.core.QObject
`blockSignals, childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, property, removeEventFilter, setObjectName, setParent, setProperty, signalsBlocked, startTimer, thread`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`disconnect, disconnect, signalSender`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QSlider

    public QSlider()

  Equivalent to `QSlider`(0).

### QSlider

    public QSlider(QWidget parent)

  Constructs a vertical slider with the given `parent`.

### QSlider

    public QSlider(Qt.Orientation orientation)

  Equivalent to `QSlider`(`orientation`, 0).

### QSlider

    public QSlider(Qt.Orientation orientation,
                   QWidget parent)

  Constructs a slider with the given `parent`. The `orientation` parameter determines whether the slider is horizontal or vertical; the valid values are Qt::Vertical and Qt::Horizontal.

Method Detail

### setTickInterval

    public final void setTickInterval(int ti)

  Sets the interval between tickmarks to `ti`.

  This is a value interval, not a pixel interval. If it is 0, the slider will choose between lineStep() and `pageStep`.

  The default value is 0.

  See Also:
    `tickInterval`, `tickPosition`, `lineStep`, `pageStep`

### setTickPosition

    public final void setTickPosition(QSlider.TickPosition position)

  Sets the tickmark position for this slider to `position`.

  The valid values are described by the QSlider::TickPosition enum.

  The default value is `QSlider::NoTicks`.

  See Also:
    `tickPosition`, `tickInterval`

### tickInterval

    public final int tickInterval()

  Returns the interval between tickmarks.

  This is a value interval, not a pixel interval. If it is 0, the slider will choose between lineStep() and `pageStep`.

  The default value is 0.

  See Also:
    `setTickInterval`, `tickPosition`, `lineStep`, `pageStep`

### tickPosition

    public final QSlider.TickPosition tickPosition()

  Returns the tickmark position for this slider.

  The valid values are described by the QSlider::TickPosition enum.

  The default value is `QSlider::NoTicks`.

  See Also:
    `setTickPosition`, `tickInterval`

### event

    public boolean event(QEvent event)

  This function is reimplemented for internal reasons.

  Overrides:
    `event` in class `QAbstractSlider`
  See Also:
    `closeEvent`, `focusInEvent`, `focusOutEvent`, `enterEvent`, `keyPressEvent`, `keyReleaseEvent`, `leaveEvent`, `mouseDoubleClickEvent`, `mouseMoveEvent`, `mousePressEvent`, `mouseReleaseEvent`, `moveEvent`, `paintEvent`, `resizeEvent`, `QObject::event`, `QObject::timerEvent`

### minimumSizeHint

    public QSize minimumSizeHint()

  This function is reimplemented for internal reasons.

  Overrides:
    `minimumSizeHint` in class `QWidget`
  See Also:
    `QSize::isValid`, `resize`, `setMinimumSize`, `sizePolicy`

### mouseMoveEvent

    protected void mouseMoveEvent(QMouseEvent ev)

  This function is reimplemented for internal reasons.

  Overrides:
    `mouseMoveEvent` in class `QWidget`
  See Also:
    `setMouseTracking`, `mousePressEvent`, `mouseReleaseEvent`, `mouseDoubleClickEvent`, `event`, `QMouseEvent`, `Example`

### mousePressEvent

    protected void mousePressEvent(QMouseEvent ev)

  This function is reimplemented for internal reasons.

  Overrides:
    `mousePressEvent` in class `QWidget`
  See Also:
    `mouseReleaseEvent`, `mouseDoubleClickEvent`, `mouseMoveEvent`, `event`, `QMouseEvent`, `Example`

### mouseReleaseEvent

    protected void mouseReleaseEvent(QMouseEvent ev)

  This function is reimplemented for internal reasons.

  Overrides:
    `mouseReleaseEvent` in class `QWidget`
  See Also:
    `mousePressEvent`, `mouseDoubleClickEvent`, `mouseMoveEvent`, `event`, `QMouseEvent`, `Example`

### paintEvent

    protected void paintEvent(QPaintEvent ev)

  This function is reimplemented for internal reasons.

  Overrides:
    `paintEvent` in class `QWidget`
  See Also:
    `event`, `repaint`, `update`, `QPainter`, `QPixmap`, `QPaintEvent`, Analog Clock Example

### sizeHint

    public QSize sizeHint()

  This function is reimplemented for internal reasons.

  Overrides:
    `sizeHint` in class `QWidget`
  See Also:
    `QSize::isValid`, `minimumSizeHint`, `sizePolicy`, `setMinimumSize`, `updateGeometry`

### fromNativePointer

    public static QSlider fromNativePointer(QNativePointer nativePointer)

  This function returns the QSlider instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### initStyleOption

    protected final void initStyleOption(QStyleOptionSlider option)

  Initialize `option` with the values from this QSlider. This method is useful for subclasses when they need a QStyleOptionSlider, but don't want to fill in all the information themselves.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD